Package org.opensaml.saml.common

# Class SAMLVersion

java.lang.Object
org.opensaml.saml.common.SAMLVersion

public final class SAMLVersion extends Object
A type safe SAML version enumeration.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final int`
`majorVersion`
Major version number.
`private final int`
`minorVersion`
Minor version number.
`static final SAMLVersion`
`VERSION_10`
SAML version 1.0.
`static final SAMLVersion`
`VERSION_11`
SAML Version 1.1.
`static final SAMLVersion`
`VERSION_20`
SAML Version 2.0.
`private final String`
`versionString`
String representation of the version.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SAMLVersion(int major, int minor)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getMajorVersion()`
Gets the major version of the SAML version.
`int`
`getMinorVersion()`
Gets the minor version of the SAML version.
`String`
`toString()`
`static final SAMLVersion`
`valueOf(int majorVersion, int minorVersion)`
Gets the SAMLVersion given the major and minor version number.
`static final SAMLVersion`
`valueOf(String version)`
Gets the SAMLVersion for a given version string, such as "2.0".

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### VERSION_10

@Nonnull public static final SAMLVersion VERSION_10
SAML version 1.0.

### VERSION_11

@Nonnull public static final SAMLVersion VERSION_11
SAML Version 1.1.

### VERSION_20

@Nonnull public static final SAMLVersion VERSION_20
SAML Version 2.0.

### majorVersion

private final int majorVersion
Major version number.

### minorVersion

private final int minorVersion
Minor version number.

### versionString

@Nonnull @NotEmpty private final String versionString
String representation of the version.

## Constructor Details

### SAMLVersion

private SAMLVersion(int major, int minor)
Constructor.

Parameters:
  `major` - SAML major version number
  `minor` - SAML minor version number

## Method Details

### valueOf

@Nonnull public static final SAMLVersion valueOf(int majorVersion, int minorVersion)
Gets the SAMLVersion given the major and minor version number.

Parameters:
  `majorVersion` - major version number
  `minorVersion` - minor version number
Returns:
  the SAMLVersion

### valueOf

@Nonnull public static final SAMLVersion valueOf(@Nonnull String version)
Gets the SAMLVersion for a given version string, such as "2.0".

Parameters:
  `version` - SAML version string
Returns:
  SAMLVersion for the given string

### getMajorVersion

public int getMajorVersion()
Gets the major version of the SAML version.

Returns:
  the major version of the SAML version

### getMinorVersion

public int getMinorVersion()
Gets the minor version of the SAML version.

Returns:
  the minor version of the SAML version

### toString

@Nonnull @NotEmpty public String toString()

Overrides:
  `toString` in class `Object`